Bookstore

Recent

Author Topic: Lazarus compilation problem  (Read 341 times)

xinyiman

  • Hero Member
  • *****
  • Posts: 2068
    • Lazarus and Free Pascal italian community
Lazarus compilation problem
« on: January 19, 2020, 04:34:28 pm »
Hi guys, I have a problem with a lazarus installation made with fpcupdeluxe. When I try to install any package or try to recompile lazarus I get the following message:

lazarus.pp(54,3) Fatal: Cannot find clocale used by Lazarus. Make sure all ppu files of a package are in its output directory. ppu in wrong directory=/fpcupdeluxe/20200119_stable/fpc/units/x86_64-linux/rtl-extra/clocale.ppu.

How do I solve? This is the stable version. Su ubuntu 19.10

Lazarus 2.0.6
FPC: 3.0.4
SVN Revision: 62129
x86_64-linux-gtk2
Win10, Ubuntu and Mac
Lazarus: 2.1.0
FPC: 3.3.1

JoeJoeTV

  • New Member
  • *
  • Posts: 41
Re: Lazarus compilation problem
« Reply #1 on: March 27, 2020, 02:06:53 am »
Hello there, I have the same problem with fpcupdeluxe. I also have LAMW_manager installed, which installed fpc from the repository.

It worked before, but after I deleted the fpcupdeluxe install folder(after installing lamw_manager, i think)
 it won't recompile now, even if I completely delete everything in the fpcupdeluxe folder.


Linux Mint 19.3 Cinnamon
Lazarus 2.0.6
FPC: 3.0.4
x86_64
Lazarus 2.0.4 / FPC 3.0.4 / 32+64bit / Windows 10

trev

  • Hero Member
  • *****
  • Posts: 521
  • Former Delphi 1-7 and 10.2 User
Re: Lazarus compilation problem
« Reply #2 on: March 27, 2020, 04:23:45 am »
Probably best to use the dedicated fpcupdeluxe thread which is here in the Third Party Forum.
o Lazarus v2.1.0 r62775, FPC v3.3.1 r44289, macOS 10.14.6 (with sup update), Xcode 10.3.1
o Lazarus v2.1.0 r61574, FPC v3.3.1 r42318, FreeBSD 12.0 (Parallels VM)
o Lazarus v2.1.0 r61574, FPC v3.0.4, Ubuntu 18.04 (Parallels VM)